Buscar cliente completo
curl --request GET \
--url https://sandbox.api.veepag.com/v1/client/full \
--header 'apiKey: <api-key>'import requests
url = "https://sandbox.api.veepag.com/v1/client/full"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://sandbox.api.veepag.com/v1/client/full', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.veepag.com/v1/client/full",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.veepag.com/v1/client/full"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.veepag.com/v1/client/full")
.header("apiKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.veepag.com/v1/client/full")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["apiKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"_id": "client_id",
"name": "Cliente Teste"
}{
"error_messages": [
{
"msg": "Payload invalido.",
"type": "field",
"path": "companyId",
"location": "body"
}
],
"code": "ZodValidationException",
"path": "/v1/client/full",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unauthorized."
}
],
"code": "unauthorized",
"path": "/v1/client/full",
"metadata": {}
}{
"error_messages": [
{
"msg": "Forbidden."
}
],
"code": "forbidden",
"path": "/v1/client/full",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unknown server error."
}
],
"code": "unknown_server_error",
"path": "/v1/client/full",
"metadata": {}
}Client
Buscar cliente completo
Busca um cliente completo pelo id.
GET
/
v1
/
client
/
full
Buscar cliente completo
curl --request GET \
--url https://sandbox.api.veepag.com/v1/client/full \
--header 'apiKey: <api-key>'import requests
url = "https://sandbox.api.veepag.com/v1/client/full"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://sandbox.api.veepag.com/v1/client/full', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.veepag.com/v1/client/full",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.veepag.com/v1/client/full"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.veepag.com/v1/client/full")
.header("apiKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.veepag.com/v1/client/full")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["apiKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"_id": "client_id",
"name": "Cliente Teste"
}{
"error_messages": [
{
"msg": "Payload invalido.",
"type": "field",
"path": "companyId",
"location": "body"
}
],
"code": "ZodValidationException",
"path": "/v1/client/full",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unauthorized."
}
],
"code": "unauthorized",
"path": "/v1/client/full",
"metadata": {}
}{
"error_messages": [
{
"msg": "Forbidden."
}
],
"code": "forbidden",
"path": "/v1/client/full",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unknown server error."
}
],
"code": "unknown_server_error",
"path": "/v1/client/full",
"metadata": {}
}Authorizations
api_keytoken
API key no formato keyId.secret.
Query Parameters
Response
Cliente completo.
ID do cliente.
ID da empresa vinculada ao cliente.
Nome do cliente.
Documento do cliente.
CPF do cliente, quando presente no payload legado.
E-mail do cliente.
Telefones do cliente.
Status do cliente.
Available options:
ACTIVE, ERROR_PAYMENT, PENDING_PAYMENT, NO_PAYMENT, CANCELED_ALERT_ETHOCA Tipo do cliente.
Available options:
INDIVIDUAL, COMPANY Indica se o cliente esta ativo.
Indica exclusao logica do cliente, quando preenchido.
Referencia externa da sua aplicacao.
Data de criacao do cliente.
Data da ultima atualizacao do cliente.
Was this page helpful?
